<?php 
	require "_header.php";
	require "data/combo_semester.php";
?>
<div id="main-content">
<script type="text/javascript">
var labelArray;
labelArray = [
	['Branch:<span class="comp">*</span>'],
	['Semester:<span class="comp">*</span>'],
	['Month:'],
	['Student:'],
	['Year:']	
];

var branchstore = new Ext.data.ArrayStore({		
	fields: ['branch_id','branch_name'],
	data:Ext.semester.branch
});

var semesterstore = new Ext.data.ArrayStore({		
	fields: ['semester_id','semester_name'],
	data:Ext.semester.semester
});
var divisionstore = new Ext.data.ArrayStore({
    	fields:['division_id','division_name'],
		data: Ext.semester.division
	});
var date = new Date();
var currmonthno = date.getMonth();
var year = date.getFullYear();
currmonthno =currmonthno;

var branch_disp = new Ext.form.TextField({
	name: 'branch_disp',
	id:'branch_disp',
	hidden:true
});

var semester_disp = new Ext.form.TextField({
	name: 'semester_disp',
	id:'semester_disp',
	hidden:true
});

var month_disp = new Ext.form.TextField({
	name: 'month_disp',
	id:'month_disp',
	hidden:true
});

var monthstore = new Ext.data.ArrayStore({
	fields: ['valuemonth','displaymonth'],
	data: [['1','January'],['2','February'],['3','March'],['4','April'], ['5','May'],['6','June'],
		   ['7','July'],['8','August'],['9','September'],['10','October'],['11','November'],['12','December']]
});

var month = new Ext.form.ComboBox({
	name: 'monthname',
	id:'monthid',
	hiddenName:'monthname',
	labelSeparator:'',	
	fieldLabel :labelArray[2] ,
	displayField:'displaymonth',
	valueField: 'valuemonth',
	editable:true,
	triggerAction:'all',
	mode:'local',
	width:145,
	allowBlank:false,
	store: monthstore,
	value: currmonthno,
	hidden:true,
    listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('month_disp').setValue(this.getRawValue());
	}}
});

var txtYear = new Ext.form.TextField({
	name: 'year',
	id:'year',
	width:50,
	hidden:true,
	value: year
});

var branch = new Ext.form.ComboBox({
	name: 'branch_name',
	id:'branch_name',
	hiddenName:'branch_hidden',
	labelSeparator:'',	
	fieldLabel :labelArray[0] ,
	displayField:'branch_name',
	valueField: 'branch_id',
	editable:true,
	width:205,
	triggerAction:'all',
	mode:'local',
	allowBlank:false,
	store: branchstore,
    listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('branch_disp').setValue(this.getRawValue());
		Ext.getCmp('semester_name').reset();
		Ext.getCmp('student_id').reset();	
		studentstore.removeAll();
  	}}
});



var semester = new Ext.form.ComboBox({
	name: 'semester_name',
	id:'semester_name',
	hiddenName:'semester_hidden',
	labelSeparator:'',	
	fieldLabel :labelArray[1] ,
	displayField:'semester_name',
	valueField: 'semester_id',
	editable:true,
	triggerAction:'all',
	mode:'local',
	width:205,
	allowBlank:false,
	store: semesterstore,
    listeners: {'select': function(cmb, rec, idx){
		var branch=Ext.getCmp('branch_name').getValue();
			divisionstore.filter('division_id',branch+cmb.getValue(),false,true,true);
			var cnt=divisionstore.getCount();
			if(cnt==1)
				{
					Ext.getCmp('division_id').setValue('A');
				}
		Ext.getCmp('semester_disp').setValue(this.getRawValue());
		if(Ext.getCmp('branch_name').getValue()!=""){
			studentstore.load({params: {'branch_id': Ext.getCmp('branch_name').getValue(),'semester_id': Ext.getCmp('semester_name').getValue(),'batch_id': Ext.getCmp('batch_id').getValue()}});
			
		}else{
			alert('Select Branch First')
			this.reset();
		}
  	}}
});

studentstore = new Ext.data.JsonStore({
	url:'data/getstudent-feesrecive.php',
    root: 'data',
	totalProperty: 'total',
	fields: [{
		name: 'student_id',
		type:'int'
	},{
		name: 'student_name',
		type: 'string'
	},{
		name: 'student_gturegno',
		type: 'int'
	}] 
});

var student = new Ext.form.ComboBox({
	
					name: 'student_id',
					id:'student_id',
					hiddenName:'student_hidden',
					labelSeparator:'',	
					fieldLabel :labelArray[3] ,
					displayField:'student_name',
					valueField: 'student_id',
					editable:true,
					width:205,
					triggerAction:'all',
					mode:'local',
					allowBlank:true,
					store: studentstore,
					listeners: {'select': function(cmb, rec, idx){
					if(Ext.getCmp('branch_name').getValue()!="" && Ext.getCmp('semester_name').getValue()!=""){
								
						}else{
							alert('Select Branch And Semester First')
							this.reset();
						}
					}}
});

var blank_sheet = new Ext.form.Radio({	
	hideLabel: true,
	name: 'report_type',
	inputValue: 'blank_sheet',	
	checked: true,		
	boxLabel: 'Blank Sheet'
});

var detail_sheet = new Ext.form.Radio({	
	hideLabel: true,
	name: 'report_type',
	inputValue: 'detail_sheet',		
	boxLabel: 'Detail Sheet'
});
var belowper = new Ext.form.NumberField({
	name: 'belowper',
	id:'belowper',
	labelSeparator:'',
	allowBlank:false,
	width:205,
	hidden:true,
	value:100,
	maxLength:3,
	fieldLabel:'Below %'
});
var BatchStore = new Ext.data.JsonStore({
    url:'data/get-batch.php',
    root: 'data',
	remoteSort: true,
    fields: [{
        name:'batch_id',
        type: 'int'
    },{
        name: 'batch_name',
        type: 'string'
    }],autoLoad:true,
});
Ext.onReady(function(){
    Ext.QuickTips.init();
	
	var sectionliststore = new Ext.data.Store({
			url: 'data/getsectionlist.php',          
	        reader: new Ext.data.JsonReader({			
                fields: ['section_id', 'section_name'],
                root: 'rows'
            })
        });
   
   var student_feesreceipt = new Ext.FormPanel({
        labelWidth: 80,
        url:'report-parents-meet-result.php',
		frame:true,
		standardSubmit:true,
        title: '',
        bodyStyle:'padding:6px 6px 0',
        layout:'form',
		defaultType: 'textfield',
        items :[branch,semester,{		
					xtype: 'combo',
					name: 'division_id',
					id:'division_id',
					labelSeparator:'',	
					fieldLabel :'Division :<span class="comp">*</span>' ,
					forceSelection:true,				
					displayField:'division_name',
					valueField: 'division_name'
					,lastQuery:''
					,allowBlank:false
					,triggerAction:'all'
					,mode:'local'
					,store:divisionstore
					,width:205
					,selectOnFocus: true,
					listeners: {'select': function(cmb, rec, idx){
		if(Ext.getCmp('semester_name').getValue()!=""){
			studentstore.load({params: {'branch_id': Ext.getCmp('branch_name').getValue(),'semester_id': Ext.getCmp('semester_name').getValue(),'division_id': cmb.getValue()}});
			
		}else{
			alert('Select Semester First')
			this.reset();
		}}}
					
				},{
				xtype: 'combo',
				name: 'batch_id',
				id:'batch_id',
				hiddenName: 'batch_idhidden',
				allowBlank:true,
				fieldLabel: 'Batch :',
				forceSelection:true,
				
				labelSeparator:'',	
				displayField:'batch_name',
				valueField: 'batch_id',
				width:205,
				triggerAction:'all',
				mode:'local',
				store: BatchStore ,
				  listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('semester_disp').setValue(this.getRawValue());
		if(Ext.getCmp('branch_name').getValue()!=""){
			studentstore.load({params: {'branch_id': Ext.getCmp('branch_name').getValue(),'semester_id': Ext.getCmp('semester_name').getValue(),'batch_id': Ext.getCmp('batch_id').getValue()}});
			
		}else{
			alert('Select Branch First')
			this.reset();
		}
  	}}
				},student,belowper,
		{
			xtype:'container',
			autoEl:{},
			border:false,
			layout:'column',
			anchor:'100%',
			defaultType:'field',
			items:[{
				xtype:'container',
				autoEl:{},
				layout:'form',
				columnWidth:.77,
				items:[month]
			},{
				xtype:'container',
				autoEl:{},
				layout:'form',
				columnWidth:.23,
				labelWidth:1,
				items:[txtYear]
			}]
		},/*{
			xtype:'container',
			autoEl:{},
			border:false,
			layout:'column',
			anchor:'100%',
			defaultType:'field',
			items:[{
				xtype:'container',
				autoEl:{},
				layout:'form',
				columnWidth:.4,
				items:[blank_sheet]
			},{
				xtype:'container',
				autoEl:{},
				layout:'form',
				columnWidth:.4,
				labelWidth:1,
				items:[detail_sheet]
			}]
		},*/branch_disp,semester_disp,month_disp]
    });
	 var FeesReceiptReportWindow = new Ext.Window({
        title: 'Parents Meeting Report',
        height: 250,
        width: 340,
		modal:true,
        layout: 'fit',
		border: false,
		closeAction:'close',
		collapsible:'true',
		items: student_feesreceipt,
		buttonAlign: 'center',
	    buttons: [{
							text:'View Report',iconCls: 'new-tab',
							handler: function(b, e)
							{	
							
			var branch_hidden=student_feesreceipt.getForm().findField('branch_hidden').getValue();
			var semester_hidden=student_feesreceipt.getForm().findField('semester_hidden').getValue();
			var division_id=student_feesreceipt.getForm().findField('division_id').getValue();
			
			var branch_disp=student_feesreceipt.getForm().findField('branch_disp').getValue();
			var semester_disp=student_feesreceipt.getForm().findField('semester_disp').getValue();
			
			var student_hidden=student_feesreceipt.getForm().findField('student_hidden').getValue();
			var batch_idhidden=student_feesreceipt.getForm().findField('batch_idhidden').getValue();
			
			
		//	alert(show_mobile_no);
			
var redirect = 'report-parents-meet-result.php?branch_hidden='+branch_hidden + '&semester_hidden='+semester_hidden + 
'&division_id='+division_id  + '&branch_disp='+branch_disp + 
'&semester_disp='+semester_disp + '&student_hidden='+student_hidden + '&batch_idhidden='+batch_idhidden ; 
                window.location = redirect;
							
							}
						},
				  {
							text: 'Reset', iconCls: 'icon-reset',
							handler: function () {   
			                student_feesreceipt.getForm().reset();
							Ext.getCmp('batch_id').setValue(0);
							Ext.getCmp('batch_id').setRawValue('All');
							Ext.getCmp('branch_name').focus(true,500);
								
		               }
			        },
				  {
		   		           text: 'Close',iconCls: 'icon-close',
					       handler: function () {    
						   FeesReceiptReportWindow.close();
						
				          }
                       }
				 ]
    });
	 var varWidth =  (screen.width - FeesReceiptReportWindow.width)/2;
FeesReceiptReportWindow.setPosition(varWidth,((screen.height/4)-85));
FeesReceiptReportWindow.show();
Ext.getCmp('batch_id').setValue(0);
	Ext.getCmp('batch_id').setRawValue('All');
Ext.getCmp('branch_name').focus(true,1000);

Ext.getCmp('month_disp').setValue(Ext.getCmp('monthid').getRawValue());
});
</script>
<div id="abcd" align="center"></div>
</div>
<?php require "_footer.php";?>